#!/bin/bash

# Install script

SRVNAME="ann-server"
(

echo "Install Announcement Server start"
shdir=$(dirname $(readlink -nf $(which "$0")))
sudo ${shdir}/bin/Exit.sh >/dev/null 2>&1
sudo ${shdir}/bin/ResetDb.sh tks2db

# vosk lib
ln -s /opt/AnnServerBin/lib/libvosk.so /opt/AnnServer/lib/ > /dev/null 2>&1

# rights
chown root:root -R $shdir
chown root:root /lib/systemd/system/$SRVNAME.service
chown asterisk:asterisk /etc/asterisk/manager.d/manager.annserver.conf
chmod 0640 /etc/asterisk/manager.d/manager.annserver.conf
chown root:root /opt/AnnServer/etc
chmod 0640 /opt/AnnServer/etc

# nginx config
D="/etc/nginx/sites-available"
F="$D/tks2" # tks2 config
HTTP="/etc/nginx/sites-available/tks2_http"
[[ -f "$F" ]] || cp $HTTP $F # if tks2 config not exists - copy-create it
ln -s $F /etc/nginx/sites-enabled/tks2 >/dev/null 2>&1
chown root:root /etc/nginx/sites-available/tks2*
chmod 0644 /etc/nginx/sites-available/tks2*

# def config
FCFG="/opt/AnnServer/etc/config.json"
[ -f $FCFG ] || cp $FCFG.def $FCFG
chown root:root $FCFG
chmod 0640 $FCFG

# make service
systemctl daemon-reload
systemctl enable $SRVNAME.service
systemctl stop $SRVNAME.service
systemctl start $SRVNAME.service
systemctl status $SRVNAME.service

systemctl reload asterisk.service
systemctl reload nginx.service

echo "Install Announcement Server end [$(date +'%F %T')]"

) 2>&1 | tee /var/tmp/$SRVNAME-install.log
