#!/bin/bash

set -e # exit on any error
K=$1; if [[ -z $K ]]; then echo "ERROR KEY ARG"; exit 1; fi
DD=$(mktemp -d) # tmp data dir
DB="${DD}/db.backup" # db backup file
DBNAME="tks2db"
DBUSER="tks2dbo"
DBPASS=$(cat /root/tks2_dbo_pwd)
PGPASSWORD="$DBPASS" pg_dump -c --if-exists $DBNAME -U $DBUSER -h 127.0.0.1 | gzip > $DB
rsync -ar /opt/AnnServer/bin/files/sounds $DD
rsync -ar /opt/AnnServer/etc $DD
F=/etc/asterisk/sip.conf; [ -f "$F" ] && cp "$F" $DD
F=/etc/asterisk/extensions.conf; [ -f "$F" ] && cp "$F" $DD
F=/etc/asterisk/tks2_local_abns.conf; [ -f "$F" ] && cp "$F" $DD
F=/etc/asterisk/pjsip.conf; [ -f "$F" ] && cp "$F" $DD
F=/etc/asterisk/modules.conf; [ -f "$F" ] && cp "$F" $DD
tar -c -C $DD . -f $DD.tar
openssl enc -aes-256-cbc -salt -k $K -md sha512 -pbkdf2 -in $DD.tar -out $DD.tar.enc
rm -rf $DD
rm -f $DD.tar
echo $DD.tar.enc
