#!/bin/bash

set -e # exit on any error
K=$1; if [[ -z $K ]]; then echo "ERROR KEY ARG"; exit 1; fi
DBF=$2; if [[ -z $DBF ]]; then echo "ERROR DB FILE ARG"; exit 1; fi # backup db file (encoded)

DD=$(mktemp -d) # tmp data dir
DBNAME="tks2db"
DBUSER="tks2dbo"
DBPASS=$(cat /root/tks2_dbo_pwd)
openssl enc -aes-256-cbc -d -salt -k $K -md sha512 -pbkdf2 -in $DBF -out $DBF.tar
tar -C $DD -xf $DBF.tar
cd $DD
rsync -ar sounds /opt/AnnServer/bin/files
rsync -ar etc /opt/AnnServer
F=sip.conf; [ -f $F ] && cp $F /etc/asterisk/
F=extensions.conf; [ -f $F ] && cp $F /etc/asterisk/
F=tks2_local_abns.conf; [ -f $F ] && cp $F /etc/asterisk/
F=pjsip.conf; [ -f $F ] && cp $F /etc/asterisk/
F=modules.conf; [ -f $F ] && cp $F /etc/asterisk/
cat db.backup | gunzip | PGPASSWORD="$DBPASS" psql -v ON_ERROR_STOP=1 $DBNAME -U $DBUSER -h 127.0.0.1
systemctl reload asterisk.service
rm -rf $DD
rm -f $DBF.tar
