#!/bin/bash

# [re]create db
# $1 - db name
# $2 - pass
# $3 - force reset flag

DB_NAME="$1"
if [ -z "$1" ]; then echo "ERROR DBNAME IS EMPTY !"; exit 1; fi
DB_OWNER="tks2dbo"

psqlcmd_pg1() { sudo -u postgres psql -a -U postgres -d template1 < "$1"; }
psqlcmdstr_pg1() { sudo -u postgres psql -a -U postgres -d template1 -c "$1"; }

DB_OWNER_PWD=`pwgen 12 1`
if [ -n "$2" ]; then DB_OWNER_PWD="$2"; fi
echo -n $DB_OWNER_PWD > /root/tks2_dbo_pwd

if $(sudo -u postgres psql -lqtA | cut -d\| -f1 | grep -qxF ${DB_NAME}) && [[ -z $3 ]] ; then
    echo "DATABASE $DB_NAME EXISTS."
    psqlcmdstr_pg1 "ALTER USER \"$DB_OWNER\" SUPERUSER;"
    psqlcmdstr_pg1 "ALTER USER \"$DB_OWNER\" PASSWORD '$DB_OWNER_PWD';"
    exit
fi

echo "CREATING DB ${DB_NAME} ..."
/etc/init.d/postgresql restart
sudo -u postgres dropdb --if-exists -U postgres $DB_NAME >/dev/null 2>&1
psqlcmdstr_pg1 "DROP USER IF EXISTS \"$DB_OWNER\";"
psqlcmdstr_pg1 "CREATE USER \"$DB_OWNER\" CREATEROLE SUPERUSER;"
psqlcmdstr_pg1 "ALTER USER \"$DB_OWNER\" PASSWORD '$DB_OWNER_PWD';"
sudo -u postgres createdb -U postgres $DB_NAME -T template0 -O $DB_OWNER
