#!/bin/bash

# Params:
# $1 - remote server with updates
# $2 - command CHECK or GET
# $3 - deb file name to download and update with
# Result
# $? - result code
# For CHECK - last version number
# For UPDATE - last version number

ChF="AnnServer_Changes.txt" # Changes description
ChFLog="/tmp/$ChF.Log"
SRV="$1"
rm $ChFLog &> /dev/null
wget -T 3 $SRV/files/distr/$ChF -O /tmp/$ChF -o $ChFLog
ERR=$?
if (($ERR != 0)); then
    echo -n "Ошибка: "
    awk '/./{line=$0} END{print line}' $ChFLog
    exit $ERR
fi
if [[ $2 == "CHECK" ]]; then
    cat /tmp/$ChF
    exit $?
fi
if [[ $2 == "GET" ]]; then
    wget -T 25 $SRV/files/distr/$3 -O /tmp/$3 -o /tmp/AnnServerGetUpdateLog.txt
    ERR=$?
    if (($ERR != 0)); then
	echo "Сбой загрузки файла $3"
        exit $ERR
    fi
    if file -b /tmp/$3 | grep -q "Debian binary package"; then
	exit 0 # success
    fi
    echo "Сбой формата файла обновления $3"
    exit 1
fi
